Skip to main content

Update a personal question

PATCH 

/nevisidm/api/core/v1/:clientExtId/personal-questions/:extId

Since: 2.79.0

Required permission(s): AccessControl.PersonalQuestionView,AccessControl.PersonalQuestionModify,AccessControl.CredentialView

Partially updates the personal question with the given external ID. Only fields included in the request body are updated. Omitted fields remain unchanged.

Request

Path Parameters

    clientExtId stringrequired

    External ID of the client.

    Example: client-123
    extId stringrequired

    External ID of the personal question.

    Example: pq-123

Body

required
    version int32

    Version used for optimistic locking.

    description string

    The textual description of the personal question.

    stateName string

    Possible values: [active, disabled, revoked]

    The lifecycle state of the personal question.

    displayName object

    Language-dependent display name of the personal question. Keys are language codes (EN, DE, FR, IT).

    property name* string
    content object

    Language-dependent question text of the personal question. Keys are language codes (EN, DE, FR, IT).

    property name* string

Responses

Personal question updated successfully

Schema
    created string

    Creation date of the entity.

    lastModified string

    Date when the entity was last modified.

    version int32

    Version used for optimistic locking.

    extId string

    The external ID of the personal question.

    clientExtId string

    The external ID of the client to which the personal question belongs.

    description string

    The textual description of the personal question.

    stateName string

    Possible values: [active, disabled, revoked]

    The lifecycle state of the personal question.

    displayName object

    Language-dependent display name of the personal question. Keys are language codes (EN, DE, FR, IT).

    property name* string
    content object

    Language-dependent question text of the personal question. Keys are language codes (EN, DE, FR, IT).

    property name* string
Loading...